/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<fcntl.h>
#include	<stdlib.h>
#include	"init.h"
#include	"long_char.h"
#include	"memory_routine.h"
#include	"xl.h"
#include	"utils.h"


#define LIFETIME		(3*24*3600+3)
#define LIMIT_TOLL		(12*3600)


int
_main(int argc,char ** argv)
{

	init_xl(INI_DONTWAITCHI);
	init_function(gblisp_top_env0,gblisp_top_env1,argc,argv);
	init_server_function(gblisp_top_env0,gblisp_top_env1);
	init_sv_Exit(gblisp_top_env1);

	timeout_exit(
		LIFETIME,
		LIFETIME + LIMIT_TOLL,
		0);

	xl_setup_file(argc,argv);


	exit_stabilizer('e');
	return 0;
}
